org.eclipse.ease.lang.unittest.runtime

## Interface IRuntimePackage.Literals

Enclosing interface:
  IRuntimePackage

    public static interface IRuntimePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

### Field Summary

Fields
`static org.eclipse.emf.ecore.EClass` `METADATA` The meta object literal for the '`Metadata`' class.
`static org.eclipse.emf.ecore.EAttribute` `METADATA__KEY` The meta object literal for the 'Key' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `METADATA__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EDataType` `PATH` The meta object literal for the 'Path' data type.
`static org.eclipse.emf.ecore.EDataType` `SCRIPT_ENGINE` The meta object literal for the 'Script Engine' data type.
`static org.eclipse.emf.ecore.EDataType` `SCRIPT_STACK_TRACE` The meta object literal for the 'Script Stack Trace' data type.
`static org.eclipse.emf.ecore.EClass` `STACK_TRACE_CONTAINER` The meta object literal for the '`Stack Trace Container`' class.
`static org.eclipse.emf.ecore.EAttribute` `STACK_TRACE_CONTAINER__STACK_TRACE` The meta object literal for the 'Stack Trace' attribute feature.
`static org.eclipse.emf.ecore.EClass` `TEST` The meta object literal for the '`Test`' class.
`static org.eclipse.emf.ecore.EAttribute` `TEST__DURATION_LIMIT` The meta object literal for the 'Duration Limit' attribute feature.
`static org.eclipse.emf.ecore.EClass` `TEST_CLASS` The meta object literal for the '`Test Class`' class.
`static org.eclipse.emf.ecore.EClass` `TEST_CONTAINER` The meta object literal for the '`Test Container`' class.
`static org.eclipse.emf.ecore.EOperation` `TEST_CONTAINER___GET_CHILD_CONTAINERS` The meta object literal for the 'Get Child Containers' operation.
`static org.eclipse.emf.ecore.EOperation` `TEST_CONTAINER___GET_TEST__STRING` The meta object literal for the 'Get Test' operation.
`static org.eclipse.emf.ecore.EReference` `TEST_CONTAINER__CHILDREN` The meta object literal for the 'Children' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_CONTAINER__RESOURCE` The meta object literal for the 'Resource' attribute feature.
`static org.eclipse.emf.ecore.EClass` `TEST_ENTITY` The meta object literal for the '`Test Entity`' class.
`static org.eclipse.emf.ecore.EOperation` `TEST_ENTITY___ADD_ERROR__STRING_ISCRIPTENGINE` The meta object literal for the 'Add Error' operation.
`static org.eclipse.emf.ecore.EOperation` `TEST_ENTITY___GET_FULL_PATH` The meta object literal for the 'Get Full Path' operation.
`static org.eclipse.emf.ecore.EOperation` `TEST_ENTITY___GET_RESOURCE` The meta object literal for the 'Get Resource' operation.
`static org.eclipse.emf.ecore.EOperation` `TEST_ENTITY___GET_RESULTS__TESTSTATUS` The meta object literal for the 'Get Results' operation.
`static org.eclipse.emf.ecore.EOperation` `TEST_ENTITY___GET_ROOT` The meta object literal for the 'Get Root' operation.
`static org.eclipse.emf.ecore.EOperation` `TEST_ENTITY___GET_STATUS` The meta object literal for the 'Get Status' operation.
`static org.eclipse.emf.ecore.EOperation` `TEST_ENTITY___GET_TEST_SUITE` The meta object literal for the 'Get Test Suite' operation.
`static org.eclipse.emf.ecore.EOperation` `TEST_ENTITY___GET_WORST_RESULT` The meta object literal for the 'Get Worst Result' operation.
`static org.eclipse.emf.ecore.EOperation` `TEST_ENTITY___HAS_ERROR` The meta object literal for the 'Has Error' operation.
`static org.eclipse.emf.ecore.EOperation` `TEST_ENTITY___IS_DISABLED` The meta object literal for the 'Is Disabled' operation.
`static org.eclipse.emf.ecore.EOperation` `TEST_ENTITY___RESET` The meta object literal for the 'Reset' operation.
`static org.eclipse.emf.ecore.EOperation` `TEST_ENTITY___RUN__ITESTEXECUTIONSTRATEGY` The meta object literal for the 'Run' operation.
`static org.eclipse.emf.ecore.EOperation` `TEST_ENTITY___SET_DISABLED__STRING` The meta object literal for the 'Set Disabled' operation.
`static org.eclipse.emf.ecore.EAttribute` `TEST_ENTITY__DESCRIPTION` The meta object literal for the 'Description' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_ENTITY__DURATION` The meta object literal for the 'Duration' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_ENTITY__END_TIMESTAMP` The meta object literal for the 'End Timestamp' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_ENTITY__ENTITY_STATUS` The meta object literal for the 'Entity Status' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_ENTITY__ESTIMATED_DURATION` The meta object literal for the 'Estimated Duration' attribute feature.
`static org.eclipse.emf.ecore.EReference` `TEST_ENTITY__METADATA` The meta object literal for the 'Metadata' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_ENTITY__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `TEST_ENTITY__PARENT` The meta object literal for the 'Parent' container reference feature.
`static org.eclipse.emf.ecore.EReference` `TEST_ENTITY__RESULTS` The meta object literal for the 'Results' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_ENTITY__START_TIMESTAMP` The meta object literal for the 'Start Timestamp' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_ENTITY__TERMINATED` The meta object literal for the 'Terminated' attribute feature.
`static org.eclipse.emf.ecore.EDataType` `TEST_EXECUTION_STRATEGY` The meta object literal for the 'Test Execution Strategy' data type.
`static org.eclipse.emf.ecore.EClass` `TEST_FILE` The meta object literal for the '`Test File`' class.
`static org.eclipse.emf.ecore.EAttribute` `TEST_FILE__INSERTION_ORDER` The meta object literal for the 'Insertion Order' attribute feature.
`static org.eclipse.emf.ecore.EClass` `TEST_FOLDER` The meta object literal for the '`Test Folder`' class.
`static org.eclipse.emf.ecore.EClass` `TEST_RESULT` The meta object literal for the '`Test Result`' class.
`static org.eclipse.emf.ecore.EAttribute` `TEST_RESULT__MESSAGE` The meta object literal for the 'Message' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_RESULT__STATUS` The meta object literal for the 'Status' attribute feature.
`static org.eclipse.emf.ecore.EEnum` `TEST_STATUS` The meta object literal for the '`Test Status`' enum.
`static org.eclipse.emf.ecore.EClass` `TEST_SUITE` The meta object literal for the '`Test Suite`' class.
`static org.eclipse.emf.ecore.EReference` `TEST_SUITE__ACTIVE_TESTS` The meta object literal for the 'Active Tests' reference list feature.
`static org.eclipse.emf.ecore.EReference` `TEST_SUITE__DEFINITION` The meta object literal for the 'Definition' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `TEST_SUITE__MASTER_ENGINE` The meta object literal for the 'Master Engine' attribute feature.
`static org.eclipse.emf.ecore.EDataType` `THROWABLE` The meta object literal for the 'Throwable' data type.

### Field Detail

#### TEST_ENTITY

    static final org.eclipse.emf.ecore.EClass TEST_ENTITY

The meta object literal for the '`Test Entity`' class.

See Also:
  `TestEntity`, `RuntimePackage.getTestEntity()`

#### TEST_ENTITY__DESCRIPTION

    static final org.eclipse.emf.ecore.EAttribute TEST_ENTITY__DESCRIPTION

The meta object literal for the 'Description' attribute feature.

#### TEST_ENTITY__NAME

    static final org.eclipse.emf.ecore.EAttribute TEST_ENTITY__NAME

The meta object literal for the 'Name' attribute feature.

#### TEST_ENTITY__ENTITY_STATUS

    static final org.eclipse.emf.ecore.EAttribute TEST_ENTITY__ENTITY_STATUS

The meta object literal for the 'Entity Status' attribute feature.

#### TEST_ENTITY__END_TIMESTAMP

    static final org.eclipse.emf.ecore.EAttribute TEST_ENTITY__END_TIMESTAMP

The meta object literal for the 'End Timestamp' attribute feature.

#### TEST_ENTITY__START_TIMESTAMP

    static final org.eclipse.emf.ecore.EAttribute TEST_ENTITY__START_TIMESTAMP

The meta object literal for the 'Start Timestamp' attribute feature.

#### TEST_ENTITY__PARENT

    static final org.eclipse.emf.ecore.EReference TEST_ENTITY__PARENT

The meta object literal for the 'Parent' container reference feature.

#### TEST_ENTITY__METADATA

    static final org.eclipse.emf.ecore.EReference TEST_ENTITY__METADATA

The meta object literal for the 'Metadata' containment reference list feature.

#### TEST_ENTITY__DURATION

    static final org.eclipse.emf.ecore.EAttribute TEST_ENTITY__DURATION

The meta object literal for the 'Duration' attribute feature.

#### TEST_ENTITY__RESULTS

    static final org.eclipse.emf.ecore.EReference TEST_ENTITY__RESULTS

The meta object literal for the 'Results' containment reference list feature.

#### TEST_ENTITY__ESTIMATED_DURATION

    static final org.eclipse.emf.ecore.EAttribute TEST_ENTITY__ESTIMATED_DURATION

The meta object literal for the 'Estimated Duration' attribute feature.

#### TEST_ENTITY__TERMINATED

    static final org.eclipse.emf.ecore.EAttribute TEST_ENTITY__TERMINATED

The meta object literal for the 'Terminated' attribute feature.

#### TEST_ENTITY___GET_STATUS

    static final org.eclipse.emf.ecore.EOperation TEST_ENTITY___GET_STATUS

The meta object literal for the 'Get Status' operation.

#### TEST_ENTITY___GET_ROOT

    static final org.eclipse.emf.ecore.EOperation TEST_ENTITY___GET_ROOT

The meta object literal for the 'Get Root' operation.

#### TEST_ENTITY___HAS_ERROR

    static final org.eclipse.emf.ecore.EOperation TEST_ENTITY___HAS_ERROR

The meta object literal for the 'Has Error' operation.

#### TEST_ENTITY___GET_TEST_SUITE

    static final org.eclipse.emf.ecore.EOperation TEST_ENTITY___GET_TEST_SUITE

The meta object literal for the 'Get Test Suite' operation.

#### TEST_ENTITY___GET_RESOURCE

    static final org.eclipse.emf.ecore.EOperation TEST_ENTITY___GET_RESOURCE

The meta object literal for the 'Get Resource' operation.

#### TEST_ENTITY___RESET

    static final org.eclipse.emf.ecore.EOperation TEST_ENTITY___RESET

The meta object literal for the 'Reset' operation.

#### TEST_ENTITY___RUN__ITESTEXECUTIONSTRATEGY

    static final org.eclipse.emf.ecore.EOperation TEST_ENTITY___RUN__ITESTEXECUTIONSTRATEGY

The meta object literal for the 'Run' operation.

#### TEST_ENTITY___GET_WORST_RESULT

    static final org.eclipse.emf.ecore.EOperation TEST_ENTITY___GET_WORST_RESULT

The meta object literal for the 'Get Worst Result' operation.

#### TEST_ENTITY___ADD_ERROR__STRING_ISCRIPTENGINE

    static final org.eclipse.emf.ecore.EOperation TEST_ENTITY___ADD_ERROR__STRING_ISCRIPTENGINE

The meta object literal for the 'Add Error' operation.

#### TEST_ENTITY___GET_RESULTS__TESTSTATUS

    static final org.eclipse.emf.ecore.EOperation TEST_ENTITY___GET_RESULTS__TESTSTATUS

The meta object literal for the 'Get Results' operation.

#### TEST_ENTITY___GET_FULL_PATH

    static final org.eclipse.emf.ecore.EOperation TEST_ENTITY___GET_FULL_PATH

The meta object literal for the 'Get Full Path' operation.

#### TEST_ENTITY___SET_DISABLED__STRING

    static final org.eclipse.emf.ecore.EOperation TEST_ENTITY___SET_DISABLED__STRING

The meta object literal for the 'Set Disabled' operation.

#### TEST_ENTITY___IS_DISABLED

    static final org.eclipse.emf.ecore.EOperation TEST_ENTITY___IS_DISABLED

The meta object literal for the 'Is Disabled' operation.

#### TEST_CONTAINER

    static final org.eclipse.emf.ecore.EClass TEST_CONTAINER

The meta object literal for the '`Test Container`' class.

See Also:
  `TestContainer`, `RuntimePackage.getTestContainer()`

#### TEST_CONTAINER__CHILDREN

    static final org.eclipse.emf.ecore.EReference TEST_CONTAINER__CHILDREN

The meta object literal for the 'Children' containment reference list feature.

#### TEST_CONTAINER__RESOURCE

    static final org.eclipse.emf.ecore.EAttribute TEST_CONTAINER__RESOURCE

The meta object literal for the 'Resource' attribute feature.

#### TEST_CONTAINER___GET_TEST__STRING

    static final org.eclipse.emf.ecore.EOperation TEST_CONTAINER___GET_TEST__STRING

The meta object literal for the 'Get Test' operation.

#### TEST_CONTAINER___GET_CHILD_CONTAINERS

    static final org.eclipse.emf.ecore.EOperation TEST_CONTAINER___GET_CHILD_CONTAINERS

The meta object literal for the 'Get Child Containers' operation.

#### TEST

    static final org.eclipse.emf.ecore.EClass TEST

The meta object literal for the '`Test`' class.

See Also:
  `Test`, `RuntimePackage.getTest()`

#### TEST__DURATION_LIMIT

    static final org.eclipse.emf.ecore.EAttribute TEST__DURATION_LIMIT

The meta object literal for the 'Duration Limit' attribute feature.

#### TEST_SUITE

    static final org.eclipse.emf.ecore.EClass TEST_SUITE

The meta object literal for the '`Test Suite`' class.

See Also:
  `TestSuite`, `RuntimePackage.getTestSuite()`

#### TEST_SUITE__ACTIVE_TESTS

    static final org.eclipse.emf.ecore.EReference TEST_SUITE__ACTIVE_TESTS

The meta object literal for the 'Active Tests' reference list feature.

#### TEST_SUITE__DEFINITION

    static final org.eclipse.emf.ecore.EReference TEST_SUITE__DEFINITION

The meta object literal for the 'Definition' reference feature.

#### TEST_SUITE__MASTER_ENGINE

    static final org.eclipse.emf.ecore.EAttribute TEST_SUITE__MASTER_ENGINE

The meta object literal for the 'Master Engine' attribute feature.

#### TEST_FOLDER

    static final org.eclipse.emf.ecore.EClass TEST_FOLDER

The meta object literal for the '`Test Folder`' class.

See Also:
  `TestFolder`, `RuntimePackage.getTestFolder()`

#### TEST_CLASS

    static final org.eclipse.emf.ecore.EClass TEST_CLASS

The meta object literal for the '`Test Class`' class.

See Also:
  `TestClass`, `RuntimePackage.getTestClass()`

#### TEST_RESULT

    static final org.eclipse.emf.ecore.EClass TEST_RESULT

The meta object literal for the '`Test Result`' class.

See Also:
  `TestResult`, `RuntimePackage.getTestResult()`

#### TEST_RESULT__STATUS

    static final org.eclipse.emf.ecore.EAttribute TEST_RESULT__STATUS

The meta object literal for the 'Status' attribute feature.

#### TEST_RESULT__MESSAGE

    static final org.eclipse.emf.ecore.EAttribute TEST_RESULT__MESSAGE

The meta object literal for the 'Message' attribute feature.

#### TEST_FILE

    static final org.eclipse.emf.ecore.EClass TEST_FILE

The meta object literal for the '`Test File`' class.

See Also:
  `TestFile`, `RuntimePackage.getTestFile()`

#### TEST_FILE__INSERTION_ORDER

    static final org.eclipse.emf.ecore.EAttribute TEST_FILE__INSERTION_ORDER

The meta object literal for the 'Insertion Order' attribute feature.

#### STACK_TRACE_CONTAINER

    static final org.eclipse.emf.ecore.EClass STACK_TRACE_CONTAINER

The meta object literal for the '`Stack Trace Container`' class.

See Also:
  `StackTraceContainer`, `RuntimePackage.getStackTraceContainer()`

#### STACK_TRACE_CONTAINER__STACK_TRACE

    static final org.eclipse.emf.ecore.EAttribute STACK_TRACE_CONTAINER__STACK_TRACE

The meta object literal for the 'Stack Trace' attribute feature.

#### METADATA

    static final org.eclipse.emf.ecore.EClass METADATA

The meta object literal for the '`Metadata`' class.

See Also:
  `Metadata`, `RuntimePackage.getMetadata()`

#### METADATA__KEY

    static final org.eclipse.emf.ecore.EAttribute METADATA__KEY

The meta object literal for the 'Key' attribute feature.

#### METADATA__VALUE

    static final org.eclipse.emf.ecore.EAttribute METADATA__VALUE

The meta object literal for the 'Value' attribute feature.

#### TEST_STATUS

    static final org.eclipse.emf.ecore.EEnum TEST_STATUS

The meta object literal for the '`Test Status`' enum.

See Also:
  `TestStatus`, `RuntimePackage.getTestStatus()`

#### SCRIPT_ENGINE

    static final org.eclipse.emf.ecore.EDataType SCRIPT_ENGINE

The meta object literal for the 'Script Engine' data type.

See Also:
  `IScriptEngine`, `RuntimePackage.getScriptEngine()`

#### THROWABLE

    static final org.eclipse.emf.ecore.EDataType THROWABLE

The meta object literal for the 'Throwable' data type.

See Also:
  `Throwable`, `RuntimePackage.getThrowable()`

#### SCRIPT_STACK_TRACE

    static final org.eclipse.emf.ecore.EDataType SCRIPT_STACK_TRACE

The meta object literal for the 'Script Stack Trace' data type.

See Also:
  `ScriptStackTrace`, `RuntimePackage.getScriptStackTrace()`

#### TEST_EXECUTION_STRATEGY

    static final org.eclipse.emf.ecore.EDataType TEST_EXECUTION_STRATEGY

The meta object literal for the 'Test Execution Strategy' data type.

See Also:
  `ITestExecutionStrategy`, `RuntimePackage.getTestExecutionStrategy()`

#### PATH

    static final org.eclipse.emf.ecore.EDataType PATH

The meta object literal for the 'Path' data type.

See Also:
  `IPath`, `RuntimePackage.getPath()`